package com.multictrl.modules.business.service;

import com.multictrl.common.page.PageData;
import com.multictrl.common.service.CrudService;
import com.multictrl.modules.business.dto.RouteDTO;
import com.multictrl.modules.business.entity.RouteEntity;

import java.util.Map;

/**
 * 航线信息表
 *
 * @author Sdy
 * @since 1.0.0 2026-04-20
 */
public interface RouteService extends CrudService<RouteEntity, RouteDTO> {

    //分页查询
    PageData<RouteDTO> pageList(Map<String, Object> params);

    //新增航线
    void saveRoute(RouteDTO routeDTO);

    //修改航线
    void updateRoute(RouteDTO routeDTO);

    //获取航线
    RouteDTO getRoute(Long id);

    //生成kmz
    String generateKml(RouteDTO routeDTO);
}